Package org.eclipse.emf.cdo.spi.server

## Class FactoriesQueryHandlerProvider

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.FactoriesQueryHandlerProvider

- All Implemented Interfaces:
    `IQueryHandlerProvider`

      public class FactoriesQueryHandlerProvider
      extends java.lang.Object
      implements IQueryHandlerProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FactoriesQueryHandlerProvider()` |
    `FactoriesQueryHandlerProvider​(org.eclipse.net4j.util.factory.IFactory factory)` |
    `FactoriesQueryHandlerProvider​(org.eclipse.net4j.util.registry.IRegistry<java.lang.String,​org.eclipse.net4j.util.factory.IFactory> registry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFactory​(org.eclipse.net4j.util.factory.IFactory factory)` |
    `IQueryHandler` | `getQueryHandler​(CDOQueryInfo info)` |
    `org.eclipse.net4j.util.registry.IRegistry<java.lang.String,​org.eclipse.net4j.util.factory.IFactory>` | `getRegistry()` |
    `void` | `setRegistry​(org.eclipse.net4j.util.registry.IRegistry<java.lang.String,​org.eclipse.net4j.util.factory.IFactory> registry)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoriesQueryHandlerProvider

          public FactoriesQueryHandlerProvider()

    - #### FactoriesQueryHandlerProvider

          public FactoriesQueryHandlerProvider​(org.eclipse.net4j.util.registry.IRegistry<java.lang.String,​org.eclipse.net4j.util.factory.IFactory> registry)

    - #### FactoriesQueryHandlerProvider

          public FactoriesQueryHandlerProvider​(org.eclipse.net4j.util.factory.IFactory factory)

  - ### Method Detail

    - #### getRegistry

          public org.eclipse.net4j.util.registry.IRegistry<java.lang.String,​org.eclipse.net4j.util.factory.IFactory> getRegistry()

    - #### setRegistry

          public void setRegistry​(org.eclipse.net4j.util.registry.IRegistry<java.lang.String,​org.eclipse.net4j.util.factory.IFactory> registry)

    - #### addFactory

          public void addFactory​(org.eclipse.net4j.util.factory.IFactory factory)

    - #### getQueryHandler

          public IQueryHandler getQueryHandler​(CDOQueryInfo info)

      Specified by:
        `getQueryHandler` in interface `IQueryHandlerProvider`
      Since:
        3.0